import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class LoginLabel here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class LoginLabel extends Label {
    
    UserInfo userInfo;
    boolean loggedIn       = false;
    boolean infoConfigured = false;
    boolean dataConfigured = false;
    
    int logins;
    int loginDataIndex = 1;
    
    public LoginLabel() {
        
        configureUserInfo();
        configureData();
        if(loggedIn) {
            setLabel(logins + " Logins.");
        } else {
            setLabel("");
        }
        
    }
    
    private void configureUserInfo() {
        
        if (UserInfo.isStorageAvailable()) {
            userInfo = UserInfo.getMyInfo();
            loggedIn = true;
        } else {
            loggedIn = false;
            userInfo = null;
        }
        
        infoConfigured = true;
        
    }
    
    private void configureData() {
        if(dataConfigured || !loggedIn)
            return;
        
        logins = userInfo.getScore() + 1;
        userInfo.setScore(userInfo.getScore() + 1);
        userInfo.store();
        
    }
    
}
