import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class NameLabel here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class NameLabel extends Label {
    
    UserInfo userInfo;
    boolean loggedIn;
    boolean infoConfigured = false;
    
    public NameLabel() {
        configureUserInfo();
        if(loggedIn) {
            setLabel("Hello, " + userInfo.getUserName() + "!");
        } else {
            setLabel("Hello!");
        }
    }
    
    private void configureUserInfo() {
        if (UserInfo.isStorageAvailable()) {
            userInfo = UserInfo.getMyInfo();
            loggedIn = true;
        } else {
            loggedIn = false;
            userInfo = null;
        }
        infoConfigured = true;
    }
    
}